.partners {
    padding: rem(40) 0;

    &__header {
        text-align: center;
        margin-bottom: rem(20);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(60);
        padding-bottom: rem(80);

        &__header {
            margin-bottom: rem(30);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: rem(110);
    }
}

.partners-logos {
    margin-bottom: rem(20);

    &__item {
        cursor: pointer;
        display: block;
        -webkit-filter: grayscale(100%);
        -moz-filter: grayscale(100%);
        -ms-filter: grayscale(100%);
        -o-filter: grayscale(100%);
        filter: grayscale(100%);
        transition: .3s;

        &.active {
            -webkit-filter: grayscale(0%);
            -moz-filter: grayscale(0%);
            -ms-filter: grayscale(0%);
            -o-filter: grayscale(0%);
            filter: grayscale(0%);
            transition: .3s;
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(30);
    }
}

[data-partners-logos] {
    overflow: visible;

    .swiper-slide {
        height: auto;
        width: rem(126);
    }

    .swiper-wrapper {
        transition-timing-function : linear;
    }

    @include media-breakpoint-up(md) {

        .swiper-slide {
            width: rem(186);
        }
    }
}

.partners-comments {
    margin: 0 auto;
    position: relative;
    max-width: rem(314);

    &__nav {
        display: none;
    }

    .swiper-slide {
        height: auto;
    }

    .swiper-slide-active {

        .comment-item {

            &__logo {
                -webkit-filter: grayscale(0%);
                -moz-filter: grayscale(0%);
                -ms-filter: grayscale(0%);
                -o-filter: grayscale(0%);
                filter: grayscale(0%);
                transition: .3s;
            }
        }
    }

    @include media-breakpoint-up(md) {
        width: rem(642);
        max-width: inherit;

        &__nav {
            top: calc(50% - 30px);
            z-index: 50;
            display: block;
            position: absolute;

            &--prev {
                left: rem(-42);
            }

            &--next {
                right: rem(-42);
            }
        }
    }
}

[data-partners-comments] {
    overflow: visible;
}

.comment-item {
    height: 100%;
    padding: rem(15);
    font-weight: 400;
    font-size: rem(16);
    line-height: 145%;
    background: #EDF1F5;
    border-radius: 24px;
    box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
    display: flex;
    flex-direction: column;

    &__title {
        font-weight: 600;
        font-size: rem(20);
        line-height: rem(23);
        margin-bottom: rem(20);
    }

    &__text {
        flex-grow: 1;
        margin-bottom: rem(20);
    }

    &__logo {
        width: rem(138);
        margin-left: rem(-15);
        -webkit-filter: grayscale(100%);
        -moz-filter: grayscale(100%);
        -ms-filter: grayscale(100%);
        -o-filter: grayscale(100%);
        filter: grayscale(100%);
        transition: .3s;
    }

    @include media-breakpoint-up(md) {
        padding: rem(40) rem(40) rem(20) rem(40);
        font-size: rem(20);
        line-height: 140%;
        border-radius: rem(28);

        &__title {
            font-size: rem(20);
            line-height: 140%;
        }

        &__logo {
            width: rem(185);
            margin-left: rem(-20);
        }
    }
}

.partners-group {
    display: grid;
    grid-row-gap: rem(8);
    grid-column-gap: rem(8);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-row-gap: rem(16);
        grid-column-gap: rem(16);
    }
}

.partners-item {
    display: block;
}
